OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
PointAttributeVector< ValueType > Class Template Reference

Point-partitioner compatible STL vector attribute wrapper for convenience. More...

`#include <openvdb/points/PointConversion.h>`

## Public Types
using | PosType = ValueType
using | value_type = ValueType

## Public Member Functions
| PointAttributeVector (const std::vector< value_type > &data, const Index stride=1)
size_t | size () const
void | getPos (size_t n, ValueType &xyz) const
void | get (ValueType &value, size_t n) const
void | get (ValueType &value, size_t n, openvdb::Index m) const

## Detailed Description

template<typename ValueType>
class openvdb::v11_0::points::PointAttributeVector< ValueType >

Point-partitioner compatible STL vector attribute wrapper for convenience.

## Member Typedef Documentation

## ◆ PosType

template<typename ValueType >

using PosType = ValueType

## ◆ value_type

template<typename ValueType >

using value_type = ValueType

## Constructor & Destructor Documentation

## ◆ PointAttributeVector()

template<typename ValueType >

PointAttributeVector | ( | const std::vector< value_type > & | data,
|  | const Index | stride = `1`
| ) |  |
| inline

## Member Function Documentation

## ◆ get() [1/2]

template<typename ValueType >

void get | ( | ValueType & | value,
|  | size_t | n
| ) |  | const
| inline

## ◆ get() [2/2]

template<typename ValueType >

void get | ( | ValueType & | value,
|  | size_t | n,
|  | openvdb::Index | m
| ) |  | const
| inline

## ◆ getPos()

template<typename ValueType >

void getPos | ( | size_t | n,
|  | ValueType & | xyz
| ) |  | const
| inline

## ◆ size()

template<typename ValueType >

size_t size | ( |  | ) | const
| inline